Table of Contents

## Name

XtCallActionProc - invoke an action procedure directly

## Syntax

void XtCallActionProc(widget, action, event, params, num_params)
Widget widget;
String action;
XEvent* event;
String* params;
Cardinal num_params;

## Arguments

widget
  Specifies the widget in which the action is to be invoked. Must be of class core of any subclass thereof.
action
  Specifies the name of the action routine.
event
  Specifies the contents of the event passed to the action routine.
params
  Specifies the contents of the params passed to the action routine.
num_params
  Specifies the num of entries in params.

## Description

XtCallActionProc searches for the named action routine in the same manner and order as translation tables are bound. If found, the action routine is invoked with the specified widget, event pointer, and parameters. It is the responsibility of the caller to ensure that the contents of event, params, and num_params arguments are appropriate for the specified routine, and if necessary, that the specified widget is realized or sensitive. If the named action routine cannot be found, XtCallActionProc generates a warning message and returns.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also